Package com.sun.messaging.jms.management.server

## Class ServiceNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.ServiceNotification

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ServiceNotification
      extends MQNotification

  Class containing information on service notifications.

  The MQ specific fields in this notification is TBD.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SERVICE_PAUSE` | A service was paused.
    `static java.lang.String` | `SERVICE_RESUME` | A service was resumed.

    - ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

      `PREFIX`

    - ### Fields inherited from class javax.management.Notification

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceNotification​(java.lang.String type, java.lang.Object source, long sequenceNumber)` | Creates a ServiceNotification object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getServiceName()` |
    `void` | `setServiceName​(java.lang.String serviceName)` |

    - ### Methods inherited from class javax.management.Notification

      `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_PAUSE

          public static final java.lang.String SERVICE_PAUSE

      A service was paused.
      See Also:
        Constant Field Values

    - #### SERVICE_RESUME

          public static final java.lang.String SERVICE_RESUME

      A service was resumed.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceNotification

          public ServiceNotification​(java.lang.String type,
                                     java.lang.Object source,
                                     long sequenceNumber)

      Creates a ServiceNotification object.
      Parameters:
        `type` - The notification type.
        `source` - The notification source.
        `sequenceNumber` - The notification sequence number within the source object.

  - ### Method Detail

    - #### setServiceName

          public void setServiceName​(java.lang.String serviceName)

    - #### getServiceName

          public java.lang.String getServiceName()